#!/usr/bin/apt-get script
-- This script will install 32-bit part of NVIDIA driver for 64-bit system
-- Author: Sergey V Turchin <zerg@altlinux.org>

function os.file_exists(path)
   local f = io.open(path,"r")
   if f ~= nil then io.close(f) return true else return false end
end

-- Check 32-bit libs is installed
if not os.file_exists("/usr/lib/libX11.so.6") then return end

-- Install paired 32-bit packages if 64-bit system
if pkgfind("i586-libX11.32bit") then
    for i, pkg in ipairs(pkglist()) do
        local pkg_name = pkgname(pkg)
        if string.find(pkg_name, "nvidia_glx_", 0, true) == 1 then
	    if statinstall(pkg) == 1 or statnewinstall(pkg) == 1 then
	        local arepo_pkg = pkgfind("i586-" .. pkg_name .. ".32bit")
	        if arepo_pkg then
		    markinstall(arepo_pkg)
		end
	    end
	end
    end
end
